> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plude.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get subscription



## OpenAPI

````yaml get /subscriptions/{subscriptionId}
openapi: 3.0.1
info:
  title: Plude
  description: Headless subscription management and recurring billing.
  termsOfService: https://plude.com/terms
  contact:
    name: Corporate Contact
    url: https://plude.com/contact
  license:
    name: License
    url: https://plude.com/license
  version: v4.2024.7.1
servers: []
security:
  - Bearer: []
paths:
  /subscriptions/{subscriptionId}:
    get:
      tags:
        - Subscriptions
      summary: Get subscription
      parameters:
        - name: subscriptionId
          in: path
          description: Id of subscription.
          required: true
          schema:
            type: string
            format: uuid
        - name: x-environment
          in: header
          description: >-
            Configure which environment the request will handle. If the provided
            credentials do not allow access to this specified environment, a 403
            Forbidden response is returned.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Subscription'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
components:
  schemas:
    Subscription:
      type: object
      properties:
        id:
          type: string
          description: Id of subscription.
          format: uuid
        handle:
          type: string
          description: A unique handle of the subscription.
          nullable: true
        currency:
          type: string
          description: Currency of the subscription.
          format: currency
          example: USD
        term:
          $ref: '#/components/schemas/DatePeriod'
        autoRenewal:
          type: boolean
          description: >-
            For termed subscription, auto renewal is optional and will
            automatically renew the subscription.
        items:
          type: array
          items:
            $ref: '#/components/schemas/SubscriptionItem'
          description: Items of the subscription.
          nullable: true
        createdAt:
          type: string
          format: date-time
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    DatePeriod:
      type: object
      properties:
        start:
          type: string
          format: date
        end:
          type: string
          format: date
          nullable: true
      additionalProperties: false
    SubscriptionItem:
      type: object
      properties:
        id:
          type: string
          description: Id of the subscription item.
          format: uuid
        billAt:
          type: string
          description: >-
            Date and time when to bill the subscription item. Items that bill on
            the same time is grouped on the same invoice.
          format: date-time
          nullable: true
        period:
          $ref: '#/components/schemas/DatePeriod'
        quantity:
          type: number
          description: The quantity or count of units to be billed. Precision to 4.
          format: double
        product:
          $ref: '#/components/schemas/SubscriptionItemProduct'
        price:
          $ref: '#/components/schemas/SubscriptionItemPrice'
      additionalProperties: false
    SubscriptionItemProduct:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
      additionalProperties: false
    SubscriptionItemPrice:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n\r\n Enter 'Bearer' [space] and then your token in the text input below.\r\n\r\nExample: \"Bearer 12345abcdef\""
      scheme: Bearer

````